// avoid any graphics overflow
.masthead { overflow: hidden; }

// vertical spacing
.masthead {
  padding-top: 5rem;
  padding-bottom: 2rem;

  @media (min-width: $xl-breakpoint) {
    padding-bottom: 7rem;
  }

  // Apply normal section spacing on small screens
  @media (max-width: $md-breakpoint - 1) {
    margin-bottom: 2rem;
  }

  @media (max-width: $md-breakpoint - 1) {
    h1:first-of-type,
    h2:first-of-type {
      margin-top: 0;
    }
  }

  // Vertically center text column on >= medium screens
  @media (min-width: $md-breakpoint) {
    .row {
      display: flex;
      align-items: center;
      flex-direction: row-reverse;
    }
  }
}

// columns
.masthead {
  @media (min-width: $md-breakpoint) {
    .column {
      width: 50%;
    }
  }

  @media (min-width: $lg-breakpoint) {
    .masthead-body,
    .reverse .graphics {
      width: 55%;
    }

    .graphics,
    .reverse .masthead-body {
      width: 45%;
    }
  }

  @media (min-width: $xl-breakpoint) {
    .masthead-body,
    .reverse .graphics {
      width: 60%;
    }

    .graphics,
    .reverse .masthead-body {
      width: 40%;
    }
  }
}

.graphics::after {
  content: " ";
  display: block;
  position: absolute;
  z-index: -1;
}
